# Replications of "Causal Inference"

Directory containing replications of Part II of
“Hernán MA, Robins JM (2019). Causal Inference. Boca Raton: Chapman & Hall/CRC, forthcoming.” using *zEpid*

The `Data/` directory contains a `.csv` file of the data available at the 
[Harvard School of Public Health](https://www.hsph.harvard.edu/miguel-hernan/causal-inference-book/).
Additionally, the full text is available on the website. I would recommend reading Part I prior to looking through
the following code if you are unfamiliar with this approach to causal inference. It is a great, approachable, and 
freely available resource.

## Chapter 12
Details inverse probability weights

## Chapter 13
Details the parametric g-formula

## Chapter 14
Details g-estimation of structural nested models. To be added (after SNM are implemented)

## Chapter 15 
Details augmented inverse probability weights

### Other Resources
Detailed code on estimating these **without** using *zEpid* is available in James Fiedler's 
[GitHub repo](https://github.com/jrfiedler/causal_inference_python_code)
